Skip to main content
GET
/
events
/
{eventId}
Gets event by ID.
curl --request GET \
  --url https://api.leadping.ai/events/{eventId} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "eventType": "<string>",
  "description": "<string>",
  "createdAtDisplay": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. (i.e. "Bearer 1234abcdef")

Path Parameters

eventId
string
required

The ID of the event.

Response

Event was successfully retrieved.

Represents an event row for data table display with pagination support.

id
string | null

The unique identifier of the event.

eventType
string | null
description
string | null
createdAtDisplay
string | null
createdAt
string<date-time>
createdBy
string | null